n=100;
a1=0;
a2=0;
sigm1=0.0;
sigm2=0.5;
sigm=[sigm1^2 0; 0 sigm2^2];
mu=[a1 a2];
for i=1:n
x(i)=normal(a1,sigm1);
y(i)=normal(a2,sigm2);
end
 
r12=corrcoef(x,y);
nr=mvnrnd(mu,sigm,n);
graph(x,nr(:,1),y,nr(:,2));
title(' ');
hold on
 
reg1=a2+r12(1,2)*(sigm2/sigm1)*(x-a1);
reg2=a1+r12(1,2)*(sigm1/sigm2)*(y-a2);
plot(x,reg1,'g');
grid;
plot(reg2,y,'y');
grid;



function f = normal(a,sigma)
c=2*pi;
r =sqrt(-2*log(rand));
fi=c * rand;
e1=r * cos(fi);
f=a+sigma*e1;
end
