clear;
clc;

figure;
n=100;
a1=2;
a2=2;
sigm1=1;
sigm2=10;
sigm=[sigm1^2 0; 0 sigm2^2];
mu=[a1 a2];
for i=1:n
x(i)=normal(a1,sigm1);
y(i)=normal(a2,sigm2);
end

r12=corrcoef(x,y);
nr=mvnrnd(mu,sigm,n);
subplot(131);
graph(x,nr(:,1),y,nr(:,2));
title(' ');
hold on

reg1=a2+r12(1,2)*(sigm2/sigm1)*(x-a1);
reg2=a1+r12(1,2)*(sigm1/sigm2)*(y-a2);
subplot(131);
plot(x,reg1,'g');
grid;
plot(reg2,y,'y');
grid;


k=5;
for i=1:n
x(i)=h(k);
y(i)=h(k);
xx(i)=chi2rnd(k);
yy(i)=chi2rnd(k);
end
subplot(132);
graph(x,xx,y,yy);
axis([-1,12,-1,15]);
title('- ');

lambda=2;
for i=1:n
x(i)=eksp(lambda);
y(i)=eksp(lambda);
xx(i)=exprnd(lambda);
yy(i)=exprnd(lambda);
end
subplot(133);
graph(x,xx,y,yy);
axis([-1,12,-1,15]);
title(' ');
hold off