clc;
 
x = [];
x1 = [];
a = 0;
sigma = 1;
y = x;
y1 = x;
n = 10000;
 
hold on;
for i = 1 : n
   x(i) = normal(a,sigma);
   y(i) = i / n;
end

x = sort(x);
minx = min(x);
maxx = max(x);
x1 = minx : 0.1 : maxx;
y1 = normcdf(x1,a,sigma);
plot(x1,y1,'-r');
stairs(x,y);
hold off;
 
figure;
hold on;
hist(x,10);
y1 = normpdf(x1,a,sigma);
y1 = y1 * n * (maxx - minx) / 10;
plot(x1,y1,'-r');
