clc
clear
       
    m = 0.5;
    sigma = 0.5;
    alpha=0.01;
    x = normrnd(m, sigma, 100, 1);
    [muhat, sigmahat, muci, sigmaci] = normfit(x,alpha);
    q = fminsearch('normfit_custom', [m, sigma], [], x);
    fprintf('\t :\n');
    fprintf('m  = %.3f\ns  = %.3f\n', m, sigma);
    fprintf('    (MATLAB):\n');    
    fprintf('m^ = %.3f\ns^ = %.3f\n', muhat, sigmahat);
    fprintf('   :\n');
    fprintf('m^ = %.3f\ns^ = %.3f\n', q(1), q(2));
    fprintf('\n');
        
    a = 0.5;
    b = 2;
    x = gamrnd(a, b, 100, 1);
    [phat, pci] = gamfit(x,alpha);
    q = fminsearch('gamfit_custom', [a, b], [], x);
    fprintf('\t-:\n');
    fprintf('a  = %.3f\nb  = %.3f\n', a, b);
    fprintf('    (MATLAB):\n');    
    fprintf('a^ = %.3f\nb^ = %.3f\n', phat(1), phat(2));
    fprintf('   :\n');
    fprintf('a^ = %.3f\nb^ = %.3f\n', q(1), q(2));
    fprintf('\n');

    n = 10;%randint(100,1);
    p = 0.5;%randint(100,1);
    x = binornd(n,p);
    [phat, pci] = binofit(x,n,alpha);
    q = fminsearch('binofit_custom', [n, p], [], x);
    fprintf('\t :\n');
    fprintf('n  = %.3f\np  = %.3f\n', n, p);
    fprintf('    (MATLAB):\n');
    fprintf('p^ = %.3f\n', phat(1));
    fprintf('   :\n');
    fprintf('n^ = %.3f\np^ = %.3f\n', q(1), q(2));
    fprintf('\n');