clc
clear

n=10000;
a=1;
m=0;
sigma=1;
alpha=0.05;
sumx=0;
u=0;
gamma=0.95;
s0=0;
s_otkl_kv=0;

for i=1:n
     a1=rand;
     a2=rand;
     c=2*pi;
    r=sqrt(-2*log(a1));
    fi=c*a2;
    e1=r*cos(fi);
    e1=a+sigma*e1;
    mas(i)=e1;
    sumx=sumx+e1;
     if (e1 > 0.5)& (e1 < 1.5)
        m=m+1;
    end
s0=s0+((e1-a).^2);
end

x=[a,sigma];
fminsearch('normal',x,[],mas)
[MUHAT,SIGMAHAT,MUCI,SIGMACI] = normfit(mas,alpha)

%      
%   
x_otkl=sumx./n;
u=norminv((1-(1-gamma)/2),0,1);
izv_disp_sigmakv=[x_otkl-(u.*sigma/sqrt(n)),x_otkl+(u.*sigma/sqrt(n))]

%      
%   
for i=1:n
s_otkl_kv=s_otkl_kv+(mas(i)-x_otkl).^2;
end
s_otkl_kv=s_otkl_kv./n;
s_otkl=sqrt(s_otkl_kv);
t=tinv((1-(1-gamma)./2),n-1);
neizv_disp_sigmakv=[x_otkl-(t*s_otkl./sqrt(n-1)),x_otkl+(t*s_otkl./sqrt(n-1))]

%     
%    
s0_otkl=s0./n;
nu1=chi2inv((1-(1-gamma)./2),n);
nu2=chi2inv((1-(1+gamma)./2),n);
izv_matozh_a=[sqrt(n.*s0_otkl./nu1),sqrt(n.*s0_otkl./nu2)]

%     
%    
w1=chi2inv((1-(1-gamma)./2),n-1);
w2=chi2inv((1-(1+gamma)./2),n-1);
neizv_matozh_a=[sqrt(n.*s_otkl./w1),sqrt(n.*s_otkl./w2)]

%       
p_chast_sob=m/n;
q=1-p_chast_sob;
ver_poluch_sluch_sob_A=[p_chast_sob-u*sqrt((p_chast_sob*q)/n), p_chast_sob+u*sqrt((p_chast_sob*q)/n)]
